package ru.kayashov.bar.controller.dto.ingredient;

import lombok.Getter;
import lombok.Setter;
import ru.kayashov.bar.model.entity.TypeEntity;

@Getter
@Setter
public class TypeResponseDto {
    private Long id;
    private String name;

    public static TypeResponseDto mapToDto(TypeEntity e) {
        TypeResponseDto dto = new TypeResponseDto();
        dto.setId(e.getId());
        dto.setName(e.getName());
        return dto;
    }
}
